#include "xgfxstatebits.h"

XGfxStateBits::XGfxStateBits()
    : XAsset()
    , mLoadBits(2)
{
    SetName("GFX State Bits");
}

XGfxStateBits::~XGfxStateBits()
{
    
}

void XGfxStateBits::ParseData(XDataStream *aStream)
{
    if (GetPtr() == -1)
    {
        *aStream
            >> mLoadBits[0]
            >> mLoadBits[1];
    }
}

void XGfxStateBits::Clear()
{
    mLoadBits.clear();
}
